make_full_citation_graph {igraph} | R Documentation

## Create a complete (full) citation graph

### Description

`make_full_citation_graph` creates a full citation graph. This is a directed graph, where every `i->j` edge is present if and only if j<i. If `directed=FALSE` then the graph is just a full graph.

### Usage

    make_full_citation_graph(n, directed = TRUE)

    full_citation_graph(...)

### Arguments

`n` | The number of vertices.
`directed` | Whether to create a directed graph.
`...` | Passed to `make_full_citation_graph`.

### Value

An igraph graph.

### See Also

Other determimistic constructors: `atlas`, `graph.atlas`, `graph_from_atlas`; `chordal_ring`, `graph.extended.chordal.ring`, `make_chordal_ring`; `directed_graph`, `graph`, `graph.famous`, `make_directed_graph`, `make_graph`, `make_undirected_graph`, `undirected_graph`; `empty_graph`, `graph.empty`, `make_empty_graph`; `from_edgelist`, `graph.edgelist`, `graph_from_edgelist`; `from_literal`, `graph.formula`, `graph_from_literal`; `full_graph`, `graph.full`, `make_full_graph`; `graph.lattice`, `lattice`, `make_lattice`; `graph.ring`, `make_ring`, `ring`; `graph.star`, `make_star`, `star`; `graph.tree`, `make_tree`, `tree`

### Examples

    str(make_full_citation_graph(10))

[Package igraph version 1.0.1 Index]